<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JavaScript Exercises Level 0</title>
</head>
<body>
    <script>
        console.log('Ex 2');
        let doublePiValue = Math.PI * 2;
        console.log('Double PI value', doublePiValue);

        console.log('Ex 3');
        let randomNumber = Math.random() * 100;
        randomNumber = Math.floor(randomNumber);
        console.log('My random number', randomNumber);

        console.log('Ex 4');
        randomNumber = Math.floor(Math.random() * 11);
        console.log('My another random number', randomNumber);

        console.log('Ex 5');
        // alert('I am an annoying feature!');

        console.log('Ex 6');
        // let isAdult = confirm('Please confirm you are over 18 years old!');
        // if (isAdult === true) {
        //     console.log('The user is over 18 years old.');
        // } else {
        //     console.log('The user is a minor.');
        // }

        console.log('Ex 7');
        // let repeatCount = prompt('Please insert the repeat count:');
        // repeatCount = parseInt(repeatCount);
        // for(let i = 0; i <= repeatCount; i++) {
        //     console.log(i);
        // }

        console.log('Ex 8');
        // let repeatCount = prompt('Please insert the repeat count:');
        // repeatCount = parseInt(repeatCount);
        // let index = 0;
        // while(index <= repeatCount) {
        //     console.log(index);
        //     index++;
        // }

        console.log('Ex 10');
        let year = parseInt(prompt('Sinu sünniaasta:'));
        let month = parseInt(prompt('Sinu sünnikuu:'));
        let day = parseInt(prompt('Sinu sünni kuupäev:'));
        // let year = 2000;
        // let month = 3;
        // let day = 15

        let currentDateTime = new Date();
        let currentYear = currentDateTime.getFullYear();
        let currentMonth = currentDateTime.getMonth() + 1;
        let currentDay = currentDateTime.getDate();

        let isAdult = false;
        if (currentYear - year > 18) {
            // Kindlalt täisealine
            isAdult = true;
        } else if (currentYear - year === 18) {
            if (currentMonth > month) {
                // Kindlalt täisealine
                isAdult = true;
            } else if (currentMonth === month) {
                isAdult = currentDay >= day;
            } else {
                // Kindlalt alaealine
                isAdult = false;
            }
        } else {
            // Alaealine
            isAdult = false;
        }

        console.log('Is adult?', isAdult);

    </script>
</body>
</html>